Subject: Re: bug#53894: 27.2; Clipboard copy -> C-y -> M-y -> Same clipboard copy does not push to kill ring

From: Eli Zaretskii <[email-masked]>
Date: Tue, 01 Mar 2022 15:19:00 +0200

> From: Ignacio Casso <[email-masked]>
> Cc: Lars Ingebrigtsen <[email-masked]>, Eli Zaretskii <[email-masked]>,
>  [email-masked]
> Date: Tue, 01 Mar 2022 08:51:23 +0100
> 
> 
> Po Lu <[email-masked]> writes:
> 
> > LGTM, if Eli's concerns of affecting platforms other than X have also
> > been resolved.
> 
> It should if you can guarantee that (gui-get-selection 'CLIPBOARD
> 'TIMESTAMP) returns either nil or a valid timestamp. I will advice it in
> my machine to return nil and check that everything still works as
> expected, but otherwise I can not test it. I should write some comment
> about that too.

Not just comment: we should document that every implementation of
gui-get-selection should return either a valid timestamp (and say what
is a valid timestamp) or nil, meaning 'CLIPBOARD 'TIMESTAMP is
unsupported.